Token payroll

Upsert Payroll Integration Entities

Upserts payroll integration entities by external ID, updating names for existing rows.

POSThttps://api.toku.com/stablecoin-payroll/upsert-payroll-integration-entities

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/upsert-payroll-integration-entities' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "entities": [
    {
      "integrationEntityId": "string",
      "integrationEntityName": "string",
      "integrationSource": "string"
    }
  ]
}'
200 response
{
  "entities": [
    {
      "payrollIntegrationEntityID": "string",
      "integrationEntityId": "string",
      "integrationEntityName": "string",
      "integrationSource": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

entitiesobject[]required
Show child attributes
integrationEntityIdstringrequired

Allowed: at least 1 characters

integrationEntityNamestringrequired

Allowed: at least 1 characters

integrationSourcestringrequired

Allowed: at least 1 characters

Response

200Successful response
entitiesobject[]required
Show child attributes
payrollIntegrationEntityIDstringrequired
integrationEntityIdstringrequired
integrationEntityNamestringrequired
integrationSourcestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits